=== debian/changelog ===
kf6-threadweaver (6.19.0+p24.04+vstable+git20251019.0059-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:59:06 +0000

kf6-threadweaver (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:18:44 +0000
