## kf6-threadweaver 6.19.0+p24.04+vstable+git20251023.0058

=== debian/changelog ===
kf6-threadweaver (6.19.0+p24.04+vstable+git20251023.0058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:58:21 +0000
