## kf6-threadweaver 6.19.0+p24.04+vunstable+git20251020.0206

=== debian/changelog ===
kf6-threadweaver (6.19.0+p24.04+vunstable+git20251020.0206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:06:20 +0000
