## kf6-threadweaver 6.19.0+p24.04+vunstable+git20251021.0333

=== debian/changelog ===
kf6-threadweaver (6.19.0+p24.04+vunstable+git20251021.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:33:08 +0000
