## kf6-threadweaver 6.19.0+p24.04+vunstable+git20251111.0336

=== debian/changelog ===
kf6-threadweaver (6.19.0+p24.04+vunstable+git20251111.0336-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:36:33 +0000
