## kf6-threadweaver 6.22.0+p24.04+vstable+git20260126.0709

=== debian/changelog ===
kf6-threadweaver (6.22.0+p24.04+vstable+git20260126.0709-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:09:54 +0000
