## kf6-threadweaver 6.22.0+p24.04+vunstable+git20260111.0149

=== debian/changelog ===
kf6-threadweaver (6.22.0+p24.04+vunstable+git20260111.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:49:13 +0000
